Package kiyut.sketsa.canvas.tool

## Class ZoomInTool

- java.lang.Object
- - kiyut.sketsa.canvas.tool.AbstractTool
  - - kiyut.sketsa.canvas.tool.ZoomTool
    - - kiyut.sketsa.canvas.tool.ZoomInTool

- All Implemented Interfaces:
    `KeyListener`, `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`, `Tool`

      public class ZoomInTool
      extends ZoomTool

  Implementation of Zoom in Tool
  Author:
    Kiyut

- - ### Field Summary

    - ### Fields inherited from class kiyut.sketsa.canvas.tool.ZoomTool

      `canvas, presetZoomFactor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZoomInTool()` | Creates a new instance of ZoomInTool

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseReleased​(MouseEvent evt)` |
    `void` | `startTool()` | Invoked when the tool is started

    - ### Methods inherited from class kiyut.sketsa.canvas.tool.ZoomTool

      `setVectorCanvas`

    - ### Methods inherited from class kiyut.sketsa.canvas.tool.AbstractTool

      `addMessageListener, endTool, fireMessageReceived, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, paint, removeMessageListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoomInTool

          public ZoomInTool()

      Creates a new instance of ZoomInTool

  - ### Method Detail

    - #### startTool

          public void startTool()

      Description copied from interface: `Tool`
      Invoked when the tool is started
      Specified by:
        `startTool` in interface `Tool`
      Overrides:
        `startTool` in class `ZoomTool`

    - #### mouseReleased

          public void mouseReleased​(MouseEvent evt)

      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `AbstractTool`